package seminar13.solid2;

// Porušení Single responsibility principle - oddělíme operaci logování od třídy Customer

public class Customer
{
    private final FileLogger logger = new FileLogger();
    public void add()
    {
        try
        {
            // Database code goes here
        }
        catch (Exception ex)
        {
            logger.handle(ex.toString());
        }
    }
}
