package seminar13.inheritance;

// V době zavolání str.length() není str inicializováno, proto vznikne NullPointerException

public class Test {
    class A {
        String str = "ab";

        A() {
            // Overridable method call in constructor
            printLength();
        }

        void printLength() {
            System.out.println(str.length());
        }
    }

    class B extends A {
        // Field hides another field
        String str = "abc";

        @Override
        void printLength() {
            System.out.println(str.length());
        }
    }

    public static void main(String[] args) {
        new Test().new B();
    }
}



