package seminar13.solid4;

// Porušení Open/Closed principle - použijeme dědičnost

public class Customer
{
    public double getDiscount(double totalSales)
    {
        return totalSales;
    }
    
    public void add() { /*...*/ }
}

  class SilverCustomer extends Customer
{
    @Override
    public double getDiscount(double totalSales)
    {
        return super.getDiscount(totalSales) - 50;
    }
    
    @Override
    public void add() { /*...*/ }
}

class goldCustomer extends SilverCustomer
{
    @Override
    public double getDiscount(double totalSales)
    {
        return super.getDiscount(totalSales) - 100;
    }
    
    @Override
    public void add() { /*...*/ }
}
